# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit rpm

MY_PN="${PN/-bin/}"
DESCRIPTION="Transcribe audio / video offline using OpenAI Whisper"
HOMEPAGE="https://thewh1teagle.github.io/vibe/"
SRC_URI="https://github.com/thewh1teagle/${MY_PN}/releases/download/v${PV}/${MY_PN}-${PV}-1.x86_64.rpm"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="net-libs/webkit-gtk:4.1
		x11-libs/gtk+:3
		media-libs/vulkan-loader"
RDEPEND="${DEPEND}"
BDEPEND=""

S="${WORKDIR}/usr"

src_install() {
    insinto /opt/${MY_PN}
    cp -pR --reflink=auto . "${D}/opt/${MY_PN}" || die "Failed to install the package into '/opt/${PN}'"
    dosym "/opt/${MY_PN}/bin/${MY_PN}" /usr/bin/"${MY_PN}"
}